model
	{
		for(i in 1:m) {
     Omega1[i,1,1]<-Omega[1,1]*w[i]
     Omega1[i,2,2]<-Omega[2,2]*w[i]
     Omega1[i,1,2]<-Omega[1,2]*w[i]
     Omega1[i,2,1]<-Omega[2,1]*w[i]
     bi[i,1:2]~dmnorm(md[1:2],Omega1[i,,])
    u[ i ] ~ dbern( nu )  # Contaminated Normal
w[ i ] <- gamma*u[ i ]+(1-u[ i ])  # Contaminated Normal
		}

	  for(j in 1:N){
       w2[j]  <-w[cluster[j]]*sigmae.inv
       y[j]~ dnorm(mu[j],w2[j])I(y.cen[j],)
       mu[j]<- exp(beta[1]+bi[cluster[j],1]) + exp(beta[2])/(1+exp((x[j]-exp(beta[3]))/exp(beta[4]))) + (beta[5]+bi[cluster[j],2])*(x[j]-50)
	}


    for(k in 1:5){
       beta[k]~dnorm(0,0.01)
                 }

Omega[1:2,1:2] ~ dwish(R[ , ], 3)

       R[1, 1] <- 0.01
       R[1, 2] <- 0
	     R[2, 1] <- 0
	     R[2, 2] <- 0.01
	     md[1]<-0
	     md[2]<-0

sigmab[1:2,1:2]<-inverse(Omega[,])
sigmae.inv~dunif(0,100)
sigmae<- 1/sigmae.inv
nu     ~ dunif(0,1) # Contaminated Normal
gamma  ~ dbeta(2 , 2) # Contaminated Normal
	}
